Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.dsig
Interface Manifest

All Superinterfaces:
  XMLStructure

    public interface Manifest

extends XMLStructure

A representation of the XML `Manifest` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

     <element name="Manifest" type="ds:ManifestType"/>
       <complexType name="ManifestType">
         <sequence>
           <element ref="ds:Reference" maxOccurs="unbounded"/>
         </sequence>
         <attribute name="Id" type="ID" use="optional"/>
       </complexType>

A `Manifest` instance may be created by invoking one of the `newManifest` methods of the `XMLSignatureFactory` class; for example:

       XMLSignatureFactory factory = XMLSignatureFactory.getInstance("DOM");
       List references = Collections.singletonList(factory.newReference
           ("#reference-1", DigestMethod.SHA1));
       Manifest manifest = factory.newManifest(references, "manifest-1");

See Also:
  `XMLSignatureFactory.newManifest(List)`, `XMLSignatureFactory.newManifest(List, String)`

Field Summary
`static java.lang.String` | `TYPE` URI that identifies the `Manifest` element (this can be specified as the value of the `type` parameter of the `Reference` class to identify the referent's type).

Method Summary
`java.lang.String` | `getId()` Returns the Id of this `Manifest`.
`java.util.List` | `getReferences()` Returns an `unmodifiable list` of one or more `Reference`s that are contained in this `Manifest`.

Methods inherited from interface javax.xml.crypto.XMLStructure
`isFeatureSupported`

Field Detail

### TYPE

    static final java.lang.String TYPE

  URI that identifies the `Manifest` element (this can be specified as the value of the `type` parameter of the `Reference` class to identify the referent's type).

  See Also:
    Constant Field Values

Method Detail

### getId

    java.lang.String getId()

  Returns the Id of this `Manifest`.

  Returns:
    the Id of this `Manifest` (or `null` if not specified)

### getReferences

    java.util.List getReferences()

  Returns an `unmodifiable list` of one or more `Reference`s that are contained in this `Manifest`.

  Returns:
    an unmodifiable list of one or more `Reference`s

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org